[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# DbgS

Formats debug output for various argument types (overloaded).

## Declaration

Source position: lclproc.pas line 190

`function DbgS(`
`const c: Cardinal`
`):string; overload; function DbgS(`
`const i: LongInt`
`):string; overload; function DbgS(`
`const i: Int64`
`):string; overload; function DbgS(`
`const q: QWord`
`):string; overload; function DbgS(`
`const r: TRect`
`):string; overload; function DbgS(`
`const p: TPoint`
`):string; overload; function DbgS(`
`const p: pointer`
`):string; overload; function DbgS(`
`const e: extended;`
`MaxDecimals: Integer = 999`
`):string; overload; function DbgS(`
`const b: Boolean`
`):string; overload; function DbgS(`
`const s: TComponentState`
`):string; overload; function DbgS(`
`const m: TMethod`
`):string; overload; function DbgS(`
`const i1: Integer;`
`const i2: Integer;`
`const i3: Integer;`
`const i4: Integer`
`):string; overload; function DbgS(`
`const Shift: TShiftState`
`):string; overload; function DbgS(`
`const ASize: TSize`
`):string; overload; function DbgS(`
`const ATM: TTextMetric`
`):string; function DbgS(`
`const AScrollInfo: TScrollInfo`
`):string; overload; function DbgS(`
`const AVariant: Variant`
`):string; overload;`

## Function result

String with the content representing the specified argument.

## Arguments

`ATM` |  | TTextMetric instance with member values stored in the result.

## Arguments

`AScrollInfo` |  | TScrollInfo instance with member values stored in the result.

## Arguments

`AVariant` |  | TVarData instance with member values stored in the result.

## Description

TTextMetric
  Generates a delimited list of member names and values for the text metric. For example: 'tmHeight: 16 tmAscent: 2 tmDescent: 2 ...'.
TScrollInfo
  Generates a delimited list of member names and values for the scroll information. For example: 'Pos: 2 Min: 1 Max: 10 Page: 1 TrackPos: 2' or '(no scrollinfo)'.
Variant
  Returns the string representation for the variant value. Returns '<empty>' or '<null>' for variants with the varEmpty or varNull types (respectively).

Remark: | Other overloaded variants of DbgS have been deprecated in LCL version 3.99 (as of Apr 2024). Use the DbgS routine from LazLoggerIntf (lazloggerbase, lazloggerfile, lazloggerdummy) for these variants instead.

## See also

LazLoggerBase.DbgS